For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create or Replace Fallback Shipping Method

Creates or replaces a fallback shipping method by handle.

Create or Replace a Fallback Shipping Method

put

Create-or-replace by handle. A handle in the body, if present, must match the path handle (renames are delete + create). label, price and currency are required.

Path parameters
merchant_idinteger · int32Required
handlestringRequired

The shipping method handle

Header parameters
X-Violet-TokenstringRequired
X-Violet-App-SecretstringRequired
X-Violet-App-Idinteger · int32Required
Body
labelstringOptional

The name of the shipping method.

descriptionstringOptional

Description of the shipping method.

priceinteger · int32Optional

The price of the shipping method in cents.

currencystring · enumOptional

The currency of the shipping method.

Possible values:
handlestringOptional

The handle or external ID to use when utilizing this method.

calculation_typestring · enum · nullableOptional

Whether the price is calculated per the entire order or per item.

Possible values:
Responses
200

The created or replaced fallback shipping method.

application/json
labelstringOptional

The name of the shipping method.

descriptionstringOptional

Description of the shipping method.

priceinteger · int32Optional

The price of the shipping method in cents.

currencystring · enumOptional

The currency of the shipping method.

Possible values:
handlestringOptional

The handle or external ID to use when utilizing this method.

calculation_typestring · enum · nullableOptional

Whether the price is calculated per the entire order or per item.

Possible values:
put/merchants/{merchant_id}/shipping-methods/{handle}
200

The created or replaced fallback shipping method.

Last updated

Was this helpful?